List campaigns
const url = 'https://ads.wortise.com/api/public/v1/campaigns/list';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"cursor":1,"pagination":{},"filter":{"_id":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"brand":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"country":["example"],"createdBy":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"end":["2026-04-15"],"id":{"exists":true},"isDelayed":[true],"isDraft":[true],"organization":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"start":["2026-04-15"],"status":"enabled","team":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"verification":"approved"},"populate":[{"path":"brand","projection":{"additionalProperty":1}}],"period":{"end":"2026-04-15","start":"2026-04-15"},"term":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://ads.wortise.com/api/public/v1/campaigns/list \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "cursor": 1, "pagination": {}, "filter": { "_id": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "brand": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "country": [ "example" ], "createdBy": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "end": [ "2026-04-15" ], "id": { "exists": true }, "isDelayed": [ true ], "isDraft": [ true ], "organization": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "start": [ "2026-04-15" ], "status": "enabled", "team": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "verification": "approved" }, "populate": [ { "path": "brand", "projection": { "additionalProperty": 1 } } ], "period": { "end": "2026-04-15", "start": "2026-04-15" }, "term": "example" }'Lists the campaigns of the organization with filters, sorting and pagination.
Requires the campaigns:read scope.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Matches Mongo Document type, e.g. { name: 1, age: -1 }
object
Matches Mongo Document type, e.g. { name: 1, age: -1 }
object
object
object
object
object
object
Responses
Section titled “Responses”One page of campaigns and the total count.
object
object
object
Impressions (CPM) or clicks (CPC) targeted.
Unit price in USD (CPM or CPC) to external service-ads. Only for a campaign without ad groups
object
object
object
object
object
Only explicitly requested targeting exclusions.
object
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
The advertiser lets the system slightly adjust the audience to ensure a better reach. Campaigns saved before it existed have no value: not authorized
Budget in the campaign currency
ISO-2 Country
Currency ISO 4217. E.g. USD, EUR. A draft saved without it takes the currency of the account that saves it, else USD.
Exchange rate from local currency to USD
USD taken off the budget and not yet credited back to the organization
Unit price in local currency (CPM or CPC bid). Only for a campaign without ad groups
object
Tips the review raised when the campaign was last saved: the code the clients translate and the ad group it is about
object
Example
{ "list": [ { "origin": "ads", "rush": false, "status": "enabled", "timezone": "America/Argentina/Buenos_Aires", "type": "CPC", "verification": "approved", "audience": { "device": { "os": [ "android", "ios" ], "type": [ "mobile" ] }, "not": { "device": { "os": [ "android", "ios" ], "type": [ "mobile" ] }, "app": { "list": [ { "platform": "android" } ] }, "appFilters": { "platform": [ "android" ] }, "location": [ { "source": "google_places", "type": "place" } ], "user": { "gender": [ "female" ], "age": [ "-18" ] } }, "app": { "list": [ { "platform": "android" } ] }, "appFilters": { "platform": [ "android" ] }, "isDraft": true, "location": [ { "source": "google_places", "type": "place" } ], "user": { "gender": [ "female" ], "age": [ "-18" ] } }, "autopilot": true, "currency": "BRL", "format": "display", "isDraft": true, "method": "ai", "warnings": [] } ]}The JSON body is malformed or fails the input validation.
object
Zod issues
object
Location of the invalid field in the procedure input
object
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "errors": [ { "code": "custom" } ], "message": "Validation Error"}The API key is missing, invalid, disabled or expired.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key lacks the scope, or its owner lacks the dashboard permission.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key exceeded its rate limit; retry after the Retry-After seconds.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}Headers
Section titled “Headers”Seconds to wait before retrying.
Unexpected server error.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}© 2026 Wortise. All rights reserved.